-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (2/7) funcs.lua

function resetGame()
    -- Set left-bar's position
    ltBarPos = {x = 30,
        y = scrHeight / 2 - barHeight / 2,}

    -- Set right-bar's position
    rtBarPos = {x = scrWidth - 30 - barWidth,
        y = scrHeight / 2 - barHeight / 2,}

    -- Set the ball's position
    ballPos  = {x = scrWidth  / 2 - ballWidth  / 2,
        y = scrHeight / 2 - ballHeight / 2}
end -- resetGame()

function gameOver()
    -- Set game over on and pause
    isGameOver = true
    paused = true

    -- Reset the pads and ball
    resetGame()

    -- Reset variables
    oldScore = score
    score = 0
    speed   = 4
    lives   = 5
    nextWin = 15
    
    -- Play a burp ;-)
    burp:play()
end -- gameOver()