-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (1/7) index.lua

-- Activate the USB connection to debug
--System.usbDiskModeActivate()

-- Load the other files
dofile("funcs.lua")
dofile("vars.lua")
dofile("collision.lua")
dofile("handleControls.lua")
dofile("moveBall.lua")
dofile("render.lua")

-- Tells whether or not the game is running
running = true

while running do

	-- Respond to the input
	running = handleControls()

	-- Render the screen
	render()

	-- Move the ball (if game isn't paused
	if not paused then moveBall() end
end